Passer au contenu principal
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
Récupère les informations détaillées sur le catalogue
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "columns": [
    {
      "name": "<string>",
      "type": "Text",
      "notEmpty": true
    }
  ],
  "rowCount": 123
}

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

catalogId
string
requis

Identifiant du catalogue. Vous pouvez le trouver dans la liste de tous les catalogues.

Réponse

Les informations du catalogue ont été récupérées avec succès

id
string
requis

Identifiant unique du catalogue

Minimum string length: 1
name
string
requis

Nom du catalogue

Minimum string length: 1
columns
object[]
requis

Colonnes du catalogue

rowCount
integer<int32>
requis

Nombre total de lignes du catalogue